<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/* WooCommerce not active management */
function C5WOO_wc_not_active_admin_notice() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.',C5WOO_DOMAIN ) );
	}
    echo '<div class="wrap"><div class="error">';
	echo '<h4>'.__('Your Creator Five environment is inactive',C5WOO_DOMAIN).'</h4>';
	echo '<p>'.__('Creator Five is inactive as it requires an active installation of WooCommerce.',C5WOO_DOMAIN).'</p>';
	echo '</div></div>';
}
add_action('admin_notices', 'C5WOO_wc_not_active_admin_notice');