<?php
// woocommerce-settings-tab.php
// adds Creator Five settings

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

define( 'C5WOO_DOMAIN', 'creator-five-for-woocommerce' );

define( 'C5WOO_PLUGIN_DIR', dirname( __FILE__ ) . DIRECTORY_SEPARATOR );

define( 'C5WOO_ADMIN_DIR', C5WOO_PLUGIN_DIR . 'admin' . DIRECTORY_SEPARATOR );
define( 'C5WOO_PUBLIC_DIR', C5WOO_PLUGIN_DIR . 'public' . DIRECTORY_SEPARATOR );
define( 'C5WOO_WORKFLOW_DIR', C5WOO_PLUGIN_DIR . 'workflow' . DIRECTORY_SEPARATOR );
define( 'C5WOO_LANG_DIR', dirname( plugin_basename( __FILE__ ) )  . DIRECTORY_SEPARATOR . 'lang' . DIRECTORY_SEPARATOR );

define( 'C5WOO_REST_API_PATH_PROTOCOL', 'https://' );
define( 'C5WOO_REST_API_PATH', '.creatorfive.com/api/' );

define( 'C5WOO_REMOTE_PATH', 'https://s3.amazonaws.com/static.creator5.koffeware.com/' );

add_filter( 'query_vars', 'C5WOO_query_vars' );
function C5WOO_query_vars( $query_vars ) {
    $query_vars[] = 'C5WOO_application';
    $query_vars[] = 'personalize_product';
    $query_vars[] = 'order_prints';
    return $query_vars;
}