<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

function C5WOO_get_slug() {
		$creator_five_slug = get_option( 'wc_C5WOO_settings_endpoint' );
	return $creator_five_slug;
}

function C5WOO_get_ressource_manager_name() {
	if (get_option( 'wc_C5WOO_settings_ressource_manager_name' ) == '')
		$ressource_manager_name = 'inboxphoto';
	else
		$ressource_manager_name = get_option( 'wc_C5WOO_settings_ressource_manager_name' );
	return $ressource_manager_name;
}

function C5WOO_get_logo_url() {
	if (get_option( 'wc_C5WOO_settings_logo_url' ) == '')
		$creator_five_logo_url = plugins_url( '../public/img/logo_creatorfive.svg', __FILE__ );
	else
		$creator_five_logo_url = get_option( 'wc_C5WOO_settings_logo_url' );
	return $creator_five_logo_url;
}

function C5WOO_get_logo_link() {
	if (get_option( 'wc_C5WOO_settings_logo_link' ) == '')
		$creator_five_logo_link = '#';
	else
		$creator_five_logo_link = get_option( 'wc_C5WOO_settings_logo_link' );	
	return $creator_five_logo_link;
}

function C5WOO_get_wc_C5WOO_complete_redirect() {
	if (get_option( 'wc_C5WOO_complete_redirect' ) == '')
		$creator_five_complete_redirect = wc_get_cart_url();
	else
		$creator_five_complete_redirect = get_option( 'wc_C5WOO_complete_redirect' );	
	return $creator_five_complete_redirect;
}

function C5WOO_get_welcomeScreen() {
	if (get_option( 'wc_C5WOO_settings_welcomeScreen' ) == 'no')
		$creator_five_welcomeScreen = 'false';
	else
		$creator_five_welcomeScreen = 'true';	
	return $creator_five_welcomeScreen;
}

function C5WOO_get_photo_container_width() {
	if (get_option( 'wc_C5WOO_settings_photo_container_width' ) == '')
		$creator_five_photo_container_width = '310';
	else
		$creator_five_photo_container_width = get_option( 'wc_C5WOO_settings_photo_container_width' );	
	return $creator_five_photo_container_width;
}

function C5WOO_get_show_scissors() {
	if (get_option( 'wc_C5WOO_settings_show_scissors' ) == 'no')
		$creator_five_show_scissors = 'false';
	else
		$creator_five_show_scissors = 'true';	
	return $creator_five_show_scissors;
}

function C5WOO_get_advancedAutofill() {
	if (get_option( 'wc_C5WOO_settings_advancedAutofill' ) == 'no')
		$creator_five_advancedAutofill = 'false';
	else
		$creator_five_advancedAutofill = 'true';	
	return $creator_five_advancedAutofill;
}

function C5WOO_get_facebook_appid() {
	$facebook_appid = get_option( 'wc_C5WOO_settings_facebook_appid' );
	return $facebook_appid;
}

function C5WOO_get_instagram_clientid() {
	$instagram_clientid = get_option( 'wc_C5WOO_settings_instagram_clientid' );
	return $instagram_clientid;
}

function C5WOO_get_google_clientid() {
	$google_clientid = get_option( 'wc_C5WOO_settings_google_clientid' );
	return $google_clientid;
}

function C5WOO_add_query_vars_filter( $vars ){
  $vars[] = "c5woo_action";
  $vars[] = "c5woo_saved_key";
  return $vars;
}
add_filter( 'query_vars', 'C5WOO_add_query_vars_filter' );

function c5woo_wp_is_mobile() {
    static $is_mobile;

    if ( isset($is_mobile) )
        return $is_mobile;

    if ( empty($_SERVER['HTTP_USER_AGENT']) ) {
        $is_mobile = false;
    } elseif (
        strpos($_SERVER['HTTP_USER_AGENT'], 'Android') !== false
        || strpos($_SERVER['HTTP_USER_AGENT'], 'Silk/') !== false
        || strpos($_SERVER['HTTP_USER_AGENT'], 'Kindle') !== false
        || strpos($_SERVER['HTTP_USER_AGENT'], 'BlackBerry') !== false
        || strpos($_SERVER['HTTP_USER_AGENT'], 'Opera Mini') !== false ) {
            $is_mobile = true;
    } elseif (strpos($_SERVER['HTTP_USER_AGENT'], 'Mobile') !== false && strpos($_SERVER['HTTP_USER_AGENT'], 'iPad') == false) {
            $is_mobile = true;
    } elseif (strpos($_SERVER['HTTP_USER_AGENT'], 'iPad') !== false) {
        $is_mobile = false;
    } else {
        $is_mobile = false;
    }

    return $is_mobile;
}

function c5woo_display_item_thumbnail() {
}