<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

global $wpdb;
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

$table_name = $wpdb->prefix . 'c5woo_saved_creations';
$charset_collate = $wpdb->get_charset_collate();

$sql = "CREATE TABLE IF NOT EXISTS $table_name (
	`id` INT(10) NOT NULL AUTO_INCREMENT,
	`product_id` INT(10) NOT NULL,
	`project_id` VARCHAR(32) CHARACTER SET utf8 NOT NULL UNIQUE,
	`project_name` VARCHAR(40) CHARACTER SET utf8,
	`customer_id` INT(10) NOT NULL,
	`creation_time` DATETIME NOT NULL,
	PRIMARY KEY (`id`)
) $charset_collate;";

dbDelta($sql);


$table_name = $wpdb->prefix . 'c5woo_saved_creations_versions';
$charset_collate = $wpdb->get_charset_collate();

$sql = "ALTER TABLE $table_name ADD COLUMN number_of_pages INT(3) AFTER variation_id;";
// $wpdb->query($sql);

$sql = "CREATE TABLE IF NOT EXISTS $table_name (
	`id` INT(10) NOT NULL AUTO_INCREMENT,
	`project_id` VARCHAR(32) CHARACTER SET utf8 NOT NULL,
	`variation_id` INT(10) NOT NULL,
	`thumbnail_url` VARCHAR(128) CHARACTER SET utf8 NOT NULL,
	`saved_key` VARCHAR(40) CHARACTER SET utf8 NOT NULL,
	`saved_time` DATETIME NOT NULL,
	PRIMARY KEY (`id`)
) $charset_collate;";

dbDelta($sql);
