<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

global $product;

$product_id = absint($_POST['product-id']);
$variation_id = absint($_POST['variation-id']);
$product = wc_get_product($product_id);

$creator_five_product = new creator_five_product($product_id);
$creator_five_editor = new creator_five_editor();

wp_enqueue_style('jquery-ui', plugins_url('/css/jquery-ui.css', __FILE__),'',C5WOO_VERSION);
wp_enqueue_style('nd-styles', plugins_url('/css/nd-styles.css', __FILE__),'',C5WOO_VERSION);
wp_enqueue_style('application', plugins_url('/css/creator-five.css', __FILE__),'',C5WOO_VERSION);

wp_dequeue_script('jquery');
wp_enqueue_script('jquery',plugins_url('/js/jquery.2.2.4.min.js', __FILE__),'',C5WOO_VERSION);
wp_enqueue_script('three',plugins_url('/js/three.min.js', __FILE__),array('jquery'),C5WOO_VERSION);
wp_enqueue_script('jquery-ui',plugins_url('/js/jquery-ui.1.12.1.min.js', __FILE__),array('jquery'),C5WOO_VERSION);

wp_enqueue_script('application',C5WOO_REMOTE_PATH.'stable/js/application.js',array('jquery'),C5WOO_VERSION);

wp_localize_script('script', 'ajaxurl', admin_url( 'admin-ajax.php' ) );

get_header('c5woo');


?>
<div id="koffeecreator" class="koffeeware-creator"></div>
<script>
	KWP_CONF.static_serv = '<?php echo C5WOO_REMOTE_PATH; ?>';
	KWP_CONF.client = '<?php echo $creator_five_editor->slug; ?>';
	KWP_CONF.version = 'stable';
	KWP_CONF.advancedAutofill = <?php echo $creator_five_editor->advancedAutofill; ?>;
	KWP_CONF.welcomeScreen = <?php
	if ( $creator_five_product->theme_type == 'none') 
		echo 'false;';
	else
		echo $creator_five_editor->welcomeScreen.';';
	if ( $creator_five_editor->googleFontList != '')
		echo "\n\tKWP_CONF.googleFontList = $creator_five_editor->googleFontList;";
	?>

	var $ = jQuery;
	
	jQuery("#koffeecreator").koffeeCreator({
		app_keys:{<?php
		if ($creator_five_editor->facebook_appid != '')
			echo "facebook:'$creator_five_editor->facebook_appid',";
		if ($creator_five_editor->instagram_clientid != '')
			echo "instagram:'$creator_five_editor->instagram_clientid',";
		if ($creator_five_editor->google_clientid != '')
			echo "google:'$creator_five_editor->google_clientid'";
		?>},
		uri_pathname:"/authorize/",
		import_modules:[<?php
		if ($creator_five_editor->facebook_appid != '') {?>
			{
				name:"facebook",
				icon:"<?php echo plugins_url( 'public/img/facebook48.png', dirname(__FILE__) ) ?>",
				trigger: function() {
					if(typeof window.facebook_module == "undefined") {
						window.facebook_module = new FacebookModule();
					} else {
						facebook_module.init();
					}
				},
			},<?php
		}
		if ($creator_five_editor->instagram_clientid != '') {?>
			{
				name:"instagram",
				icon:"<?php echo plugins_url( 'public/img/instagram48.png', dirname(__FILE__) ) ?>",
				trigger: function() {
					if(typeof window.instagram_module == "undefined") {
						window.instagram_module = new InstagramModule();
					} else {
						instagram_module.init();
					}
				},
			},<?php
		}
		if ($creator_five_editor->google_clientid != '') {?>
			{
				name:"google",
				icon:"<?php echo plugins_url( 'public/img/google48.png', dirname(__FILE__) ) ?>",
				trigger: function() {
					if(typeof window.google_module == "undefined") {
						window.google_module = new GoogleModule();
					} else {
						google_module.init();
					}
				}
			}<?php
		}
		?>],
		structure_path:'<?php echo C5WOO_REMOTE_PATH; ?>stable/shtml/structure_white.shtml',
		controller:'alt',
		resources_directory:'https://s3.amazonaws.com/upload.creator5.koffeeware.com/<?php echo $creator_five_editor->ressource_manager_name; ?>/',
		product_type:'<?php echo $creator_five_product->product_type ?>',
		themes_type:'<?php echo $creator_five_product->theme_type ?>',
		creator_five_id:<?php echo $creator_five_product->product_id ?>,
		creator_five_slug:'<?php echo $creator_five_editor->slug; ?>',
		variation_id:<?php if($variation_id == '') echo '0'; else echo absint($_POST['variation-id']); ?>,
		load_project:'<?php echo sanitize_text_field($_POST['saved_key']) ?>' || null,

		onload: function() {
			jQuery("#rq_fullsrc").hide();
		
			KWP_utils.addLogo({
				url:'<?php echo $creator_five_editor->logo_url; ?>',
				href:'<?php echo $creator_five_editor->logo_link; ?>'
			});
			
			jQuery(".koffeeware-creator #header .topicon").css("width", "60px");
			setTimeout(function(){ jQuery(".placeholder").effect("bounce", { duration:2000 }); }, 2000);
<?php
if ( $creator_five_product->product_is_variable) {
	$photobook_pages_option_name = $creator_five_editor->photobook_pages_option_name;
	$product_attributes = get_post_meta($product->id, '_product_attributes', false)[0];
//	echo "\n/*\n";
//	print_r($product_attributes);
//	echo "\n*/\n";

	$i = 1;
	foreach ($product_attributes as $product_attribute => $value) {
		if ($product_attribute == $photobook_pages_option_name)
			$photobook_pages_option = $i;
	}
		
	$variations = $product->get_available_variations();
//	echo "\n/*\n";
//	print_r($variations[0]);
//	echo "\n*/\n";
	echo "\t\t\tvar variation_table = [];\n";
	$i = 1;
	foreach ($variations as $variation_attribute => $value) {
		$display_price = wc_price($value[display_price]);
		echo "\t\t\tvariation_table.push({variation_id:$value[variation_id],display_price:'$display_price',";
		$j = 1;
		$string = '';
		if ($value[variation_id] == $variation_id) {
			foreach ($value[attributes] as $variation_attribute2 => $value2) {
				$active_option[$j] = $value2;
				$j++;
			}
		}
		$j = 1;
		foreach ($value[attributes] as $variation_attribute2 => $value2) {
			if ($value[variation_id] == $variation_id and $photobook_pages_option == $j) {
				$current_product = "\t\t\tcreation.setNumberOfPages($value2);\n";
			}
			if ($value[variation_id] == $variation_id && $j == 1) {
				$current_product .= "\t\t\tvariation_id = $variation_id;\n";
				$current_product .= "\t\t\tdisplay_price = '$display_price';\n";
			}
			$string .= 'o'.$j.':"'.$value2.'",';
			$j++;
		}
		$string = rtrim($string,',');
		echo $string . "});\n";
		$i++;
	}
	echo $current_product;


	$i = 1;
	foreach ($product_attributes as $product_attribute => $value) {
		$option_selector .= "<div class='option-group'>$value[name]<br /><select name='$product_attribute' class='option-selector' id='o".$i."s'>";
		$valeurs = explode('|', $value[value]);
		for ($j = 0; $j < count($valeurs); $j++) {
			$valeur = trim($valeurs[$j]);
			if ($active_option[$i] == $valeur)
				$option_selector .= "<option selected value='$valeur'>$valeur</option>";
			else
				$option_selector .= "<option value='$valeur'>$valeur</option>";
		}
		$option_selector .= "</select></div>";
		$i++;
	}

?>

			jQuery(document).ready(function() {
				jQuery('#order_btn').addClass('pull-right');
//				jQuery('#order_btn').append('<br /><span id="c5woo-display-price"></span>');
//				jQuery('#c5woo-display-price').html('<i class="iconmoon-cart"></i>' + display_price);
				variation_id = <?php if($variation_id == '') echo '0'; else echo sanitize_text_field($_POST['variation-id']); ?>;
				if (variation_id != 0) jQuery('#order_btn').html('<i class="iconmoon-cart"></i> ' + display_price);
				jQuery('.order-zone').append('<div id="extra_options" class="pull-right"></div>');
				jQuery('#extra_options').html("<?php echo $option_selector ?>");
				jQuery('.option-selector').on('change', function(){
//					var currentPages = creation.product.block_unit.num_pages;
					var selected_option = [];
					jQuery(".option-group input, .option-group select").each(function(){
						selected_option.push(this.value);
					});
<?php
	if ($photobook_pages_option) {
?>
					number_of_pages = Number(getVariationPageCount(variation_table, selected_option));
					creation.setNumberOfPages(number_of_pages);
<?php
	}
?>
					variation_id = getVariationID(variation_table, selected_option);
					display_price = getVariationPrice(variation_table, selected_option);
//					jQuery('#c5woo-display-price').html(display_price);
					jQuery('#order_btn').html('<i class="iconmoon-cart"></i> ' + display_price);
				});
			});

			var getVariationID = function(vt, option_list) {
				for(vidx in vt) {
					var found = true;
					var variation = vt[vidx];
					for(idx in option_list) {
						var option_number = "o"+(parseInt(idx)+1);
						if(variation[option_number] != option_list[idx]) {
							found = false;
							continue;
						}
					}
					if(found) {
						return variation["variation_id"];
					}
				}
				return false;
			};

			var getVariationPrice = function(vt, option_list) {
				for(vidx in vt) {
					var found = true;
					var variation = vt[vidx];
					for(idx in option_list) {
						var option_number = "o"+(parseInt(idx)+1);
						if(variation[option_number] != option_list[idx]) {
							found = false;
							continue;
						}
					}
					if(found) {
						return variation["display_price"];
					}
				}
				return false;
			};

<?php
	if ($photobook_pages_option) {
?>
			var getVariationPageCount = function(vt, option_list) {
				for(vidx in vt) {
					var found = true;
					var variation = vt[vidx];
					for(idx in option_list) {
						var option_number = "o"+(parseInt(idx)+1);
						if(variation[option_number] != option_list[idx]) {
							found = false;
							continue;
						}
					}
					if(found) {
						return variation["o<?php echo $photobook_pages_option ?>"];
					}
				}
				return false;
			};
<?php
	}
}
?>
		},

<?php
	if(is_user_logged_in()) {
		$user = get_current_user_id();
?>
		saveComplete: function(saved_key, thumbnail, project_id, autosaved) {
			var ajaxurl = '<?php echo(admin_url( 'admin-ajax.php' )) ?>';
			
			if (typeof variation_id == 'undefined')
				variation_id=0

			var data = {
                action:'save_creations_to_account',
				autosaved:autosaved,
				user_id:<?php echo $user ?>,
				product_id:<?php echo $product_id ?>,
				variation_id:variation_id,
				product_group:'<?php echo $creator_five_product->product_group ?>',
				project_id:project_id,
				saved_key:saved_key.toString(),
				thumbnailurl:thumbnail
            };
			console.log('Creation ID: '+saved_key);
            jQuery.post(
				ajaxurl,
				data,
				function(response) {
					if(response != 0) {
						alert('<?php _e('An error occurred, got this from the server:', 'creator-five-for-woocommerce') ?> ' + response);
					}
				}
            );
		},
<?php } ?>
		uploadComplete: function(saved_key, thumbnail) {
			var ajaxurl = '<?php echo(admin_url( 'admin-ajax.php' )) ?>';
			
			if (typeof variation_id == 'undefined')
				variation_id=0

			var data = {
                action:'add_creations_to_cart',
				product_id:<?php echo $product_id ?>,
				variation_id:variation_id,
				product_group:'<?php echo $creator_five_product->product_group ?>',
				project_id:creation.properties.creationid,
				savedkey:saved_key.toString(),
				thumbnailurl:thumbnail
            };
			
            jQuery.post(
				ajaxurl,
				data,
				function(response) {
					if(response != 0) {
						alert('<?php _e('An error occurred, got this from the server:', 'creator-five-for-woocommerce') ?> ' + response);
					} else {
						window.location.replace('<?php echo $creator_five_editor->complete_redirect; ?>');
					}
				}
            );
		},
		onExit: function() {
			history.back();
		}
	});
</script>
<?php

get_footer('c5woo');
exit;