<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/* Creator Five missing settings management */
function C5WOO_creator_five_settings_missing_notice() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.',C5WOO_DOMAIN ) );
	}
    echo '<div class="wrap"><div class="error">';
	echo '<h4>'.__('Your Creator Five environment is inactive',C5WOO_DOMAIN).'</h4>';
	echo '<p>'.__('Your Creator Five is inactive as it is missing its settings. <a href="./admin.php?page=wc-settings&tab=creatorfive">Please fix</a>.',C5WOO_DOMAIN).'</p>';
	echo '</div></div>';
}
add_action('admin_notices', 'C5WOO_creator_five_settings_missing_notice');